/*
 * (C) 2008  Torsten Neuer <tneuer@inwise.de>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 *  $Id: 8bf.h,v 1.3 2008/06/11 17:51:32 tneuer Exp $
 *
 *  $Log: 8bf.h,v $
 *  Revision 1.3  2008/06/11 17:51:32  tneuer
 *  Removed assertions not required anymore.
 *  Pointers to const data are const now, too.
 *
 *  Revision 1.2  2008/05/21 12:30:25  tneuer
 *  Minor code cleanup.
 *
 *  Revision 1.1.1.1  2008/04/27 13:19:02  tneuer
 *  initial import
 *
 *  Revision 1.1  2008/04/22 15:25:20  tneuer
 *  Initial revision
 *
 */

#ifndef __8BF_H__
#define __8BF_H__

#include "guf.h"


extern const gchar * const EXT_8BF;


/*
 *  Import a Windows binary .8bf Filter Factory filter.
 *
 *  All unset entries are preset with default values
 *  (like version information, tooltips, etc...).
 */

gboolean import_8bf (const gchar * const filename,
		     UserFilter *        filter);


#endif /* __8BF_H__ */
