/*
 * (C) 1997,2003  Jens Ch. Restemeier <jrestemeier@currantbun.com>
 *
 * (C) 2008       Torsten Neuer <tneuer@inwise.de>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 *  $Id: fileio.h,v 1.3 2008/06/11 17:51:50 tneuer Exp $
 *
 *  $Log: fileio.h,v $
 *  Revision 1.3  2008/06/11 17:51:50  tneuer
 *  Removed assertions not required anymore.
 *  Pointers to const data are const now, too.
 *
 *  Revision 1.2  2008/05/21 12:30:32  tneuer
 *  Minor code cleanup.
 *
 *  Revision 1.1.1.1  2008/04/27 13:19:03  tneuer
 *  initial import
 *
 *  Revision 1.1  2008/04/02 11:12:29  tneuer
 *  Initial revision
 *
 */

#ifndef __FILEIO_H__
#define __FILEIO_H__

#include "plugin-conf.h"

#include <glib/gtypes.h>

#include "guf.h"


/*
 *  Load a filter from file.
 *
 *  The filter can either be a .guf formatted GKeyFile or
 *  a Filter Factory / PluginCommander style filter (.8bf,
 *  .afs, or .txt).
 */

gboolean
load_filter (const gchar * const filename,
	     UserFilter *        filter);


/*
 *  Save the internal representation toa file.
 *
 *  This will save either to the standard .guf GKeyFile
 *  formatted filter file or export to a Filter Factory
 *  .afs or PluginCommander .txt.
 */

gboolean
save_filter (const gchar * const filename,
	     UserFilter *        filter);


#endif /* __FILEIO_H__ */
