/*
 * (C) 2008       Torsten Neuer <tneuer@inwise.de>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 *  $Id: guess-year.h,v 1.2 2008/06/11 17:51:52 tneuer Exp $
 *
 *  $Log: guess-year.h,v $
 *  Revision 1.2  2008/06/11 17:51:52  tneuer
 *  Removed assertions not required anymore.
 *  Pointers to const data are const now, too.
 *
 *  Revision 1.1  2008/06/06 22:43:14  tneuer
 *  Add support for "Gimp::Date" entry in 8bf/afs/ffl/txt file import routines
 *
 */

#ifndef __GUESS_YEAR_H__
#define __GUESS_YEAR_H__

#include <glib/gtypes.h>

/*
 *  Guess the year of the date of a filter.
 *
 *  Most copyright information will also contain a year, so we will
 *  try to look it up there.  If this fails, we will take the file
 *  modification time - if this fails, too (which is unlikely), we
 *  fall back to the current system time.
 *  We assume the year 1994 to be the first valid year for a filter
 *  definition file that gets imported for this is the release year
 *  of Filter Factory...
 */

guint
guess_year (const gchar * const copyright,
	    const gchar * const filename);

#endif /* __GUESS_YEAR_H__ */
