/*
 * (C) 2008       Torsten Neuer <tneuer@inwise.de>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 *  $Id: guf-filter-new.c,v 1.2 2008/06/11 17:51:58 tneuer Exp $
 *
 *  $Log: guf-filter-new.c,v $
 *  Revision 1.2  2008/06/11 17:51:58  tneuer
 *  Removed assertions not required anymore.
 *  Pointers to const data are const now, too.
 *
 *  Revision 1.1  2008/05/23 15:26:20  tneuer
 *  uf2c now producing working native plug-ins from filter files
 *
 */

#include "plugin-conf.h"

#include <glib.h>
#include <string.h>

#include "userfilter.h"
#include "guf.h"


UserFilter *
guf_filter_new_from_data (const gchar * const data)
{
  UserFilter * filter;
  GError *     err = NULL;

  filter = guf_filter_new ();
  g_key_file_load_from_data ((GKeyFile *)filter,
			     data, strlen (data)+1,
			     GUF_FLAGS, &err);
  if (err != NULL)
    {
      g_message ("Error initializing filter: %s", err->message);
      g_error_free (err);
      filter = guf_filter_renew (filter);
    }
  return filter;
}
