/*
 * (C) 2008  Torsten Neuer <tneuer@inwise.de>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 *  $Id: guf-set-registered.c,v 1.3 2008/06/11 17:52:04 tneuer Exp $
 *
 *  $Log: guf-set-registered.c,v $
 *  Revision 1.3  2008/06/11 17:52:04  tneuer
 *  Removed assertions not required anymore.
 *  Pointers to const data are const now, too.
 *
 *  Revision 1.2  2008/05/26 15:10:55  tneuer
 *  Minor code cleanup.
 *
 *  Revision 1.1.1.1  2008/04/27 13:19:03  tneuer
 *  initial import
 *
 *  Revision 1.1  2008/04/23 13:18:34  tneuer
 *  Initial revision
 *
 */

#include "plugin-conf.h"

#include "guf.h"


gboolean
guf_set_registered ( const gchar * const filename,
		     const GufProtocol   protocol,
		     const gboolean      value)
{
  UserFilter * filter;
  gboolean     result = FALSE; 

  filter = guf_filter_new ();
  if (guf_read (filename, protocol, filter))
    {
      guf_filter_set_registered (filter, value);
      result = guf_write (filename, filter);
    }
  guf_filter_free (filter);
  return result;
}
