/*
 * (C) 2008       Torsten Neuer <tneuer@inwise.de>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 *  $Id: pdb-name.c,v 1.3 2008/06/11 17:52:17 tneuer Exp $
 *
 *  $Log: pdb-name.c,v $
 *  Revision 1.3  2008/06/11 17:52:17  tneuer
 *  Removed assertions not required anymore.
 *  Pointers to const data are const now, too.
 *
 *  Revision 1.2  2008/05/21 12:30:39  tneuer
 *  Minor code cleanup.
 *
 *  Revision 1.1.1.1  2008/04/27 13:19:02  tneuer
 *  initial import
 *
 *  Revision 1.1  2008/04/19 19:03:18  tneuer
 *  Initial revision
 *
 */

#include "plugin-conf.h"

#include <string.h>

#include <glib.h>

#include "pdb-name.h"


/*
 *  Create a PDB name from a filter title string...
 */

/*
 *  FIXME:  there is already a Gimp routine for that...
 */

gchar *
make_pdb_name (const gchar * const prefix,
	       const gchar * const filter,
	       const gchar         filler)
{
  gchar * pdb;
  gint    i;

  if (!filter || !filter[0])
    {
      pdb = g_strdup (prefix);
    }
  else
    {
      pdb = g_strdup_printf ("%s%c%s", prefix, filler, filter);
    }

  for (i = strlen (pdb); i--;)
    {
      if (!g_ascii_isalnum (pdb[i]))
	{
	  pdb[i] = filler;
	}
    }

  while (pdb[strlen (pdb) - 1] == filler)
    {
      pdb[strlen (pdb) - 1] = '\0';
    }

  return pdb;
}
