/*
 * (C) 1997,2003  Jens Ch. Restemeier <jrestemeier@currantbun.com>
 *
 * (C) 2008       Torsten Neuer <tneuer@inwise.de>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 *  $Id: scan-filters.h,v 1.3 2008/06/17 15:41:32 tneuer Exp $
 *
 *  $Log: scan-filters.h,v $
 *  Revision 1.3  2008/06/17 15:41:32  tneuer
 *  Minor code cleanups
 *
 *  Revision 1.2  2008/06/11 17:52:31  tneuer
 *  Removed assertions not required anymore.
 *  Pointers to const data are const now, too.
 *
 *  Revision 1.1.1.1  2008/04/27 13:19:05  tneuer
 *  initial import
 *
 *  Revision 1.1  2008/04/23 15:06:00  tneuer
 *  Initial revision
 *
 */

#ifndef __SCAN_FILTERS_H__
#define __SCAN_FILTERS_H__

#include "guf.h"

typedef gboolean (* FilterHandler) (const UserFilter *  filter,
			 	    const gchar * const fpath,
				    gpointer            data);


void
scan_filters (const gchar * const path, 
	      const FilterHandler handler,
	      gpointer            data);


#endif /* __SCAN_FILTERS_H__ */
