/*
 * (C) 1997,2003  Jens Ch. Restemeier <jrestemeier@currantbun.com>
 *
 * (C) 2008       Torsten Neuer <tneuer@inwise.de>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 * $Id: scanner.h,v 1.2 2008/06/11 17:52:35 tneuer Exp $
 *
 * $Log: scanner.h,v $
 * Revision 1.2  2008/06/11 17:52:35  tneuer
 * Removed assertions not required anymore.
 * Pointers to const data are const now, too.
 *
 * Revision 1.1.1.1  2008/04/27 13:19:05  tneuer
 * initial import
 *
 * Revision 1.1  2008/04/01 16:06:41  tneuer
 * Initial revision
 *
 */

#ifndef __SCANNER_H__
#define __SCANNER_H__

#include "plugin-conf.h"

#include <glib/gtypes.h>


typedef struct CODE_TREE
{
  gint op_type;			/* symbol for operation */
  gint value;			/* constant for v_int or number of nodes */
  struct CODE_TREE **nodes;	/* nodes, if neccessary */
} CodeTree;

typedef CodeTree * CodeTreePtr;

#define YYSTYPE CodeTreePtr

#ifdef YYDEBUG
extern int yydebug;
#endif

#define YYERROR_VERBOSE 1

extern gint depth;


CodeTreePtr get_code_tree (const gchar * const s);

void free_code_tree (CodeTreePtr a);


gint do_parse (const gchar * const s);

int yylex ();
int yyparse ();

#endif /* __SCANNER_H__ */
